Can I populate a new wikibase-docker container with a previous populated wikibase instance?
Closed, ResolvedPublic

Description

I was able to successfully launch the docker image. See: http://185.54.115.189:8181/wiki/Main_Page and http://185.54.115.189:8282/

Now I want to load that empty stack with the contents of a pre-existing wikibase instance, maintaining the order of properties (Pxx) and items (Qxx).
Is this possible and if so, how should I proceed?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 11:59 AM

maintaining the order of properties (Pxx) and items (Qxx).

Do you mean to say only the order, or do you want exact mappings / the same IDs on the old instance and the new instance?

the same IDs on the old instance and the new instance. Some Wikibase instances can have mappings to external IRIs or vice versa, that is external resources containing mappings to the old Wikibase instance, which you don't want to loose upon migration to a new instance.

Gstupp added a subscriber: Gstupp.Nov 18 2017, 1:32 AM
K4-713 added a subscriber: K4-713.Mar 26 2018, 9:20 PM
DarTar added a subscriber: DarTar.Apr 7 2018, 6:55 PM

So, https://github.com/filbertkm/WikibaseImport is probably a good place to start.

We will try to incorporate this soon / document & fix this up

Addshore moved this task from Features to Misc on the Wikibase-Containers board.Apr 25 2018, 2:01 PM
Tarrow added a subscriber: Tarrow.May 15 2018, 1:00 PM

This should be possible to do when T192080 is merged

WikibaseImport is now merged.

Some docs can be found @ https://github.com/filbertkm/WikibaseImport/blob/master/README.md

I'll close this for now as this task should now be technically possible.

If you run into any issues let us know.

Addshore closed this task as Resolved.Mon, May 28, 5:09 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMon, May 28, 5:09 PM
Addshore moved this task from Backlog to Done ✔️ on the User-Addshore board.Wed, Jun 6, 8:49 AM